import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import descriptor.AttributeDescriptor;

public class Main {
    public static void main(String[] args){
        Main main = new Main();
        List list = main.createAttributeDescriptors();
        Iterator it = list.iterator();
        while(it.hasNext()){
            System.out.println("class name is : " + it.next().getClass().getName());
        }
    }

    public List createAttributeDescriptors(){
        List result = new ArrayList();

        result.add(AttributeDescriptor.forInteger("remoteId", getClass()));
        result.add(AttributeDescriptor.forDate("createDate", getClass()));
        result.add(AttributeDescriptor.forDate("lastChangeDate", getClass()));
        result.add(AttributeDescriptor.forReference("createdBy", getClass()));
        result.add(AttributeDescriptor.forReference("lastChangedBy", getClass()));
        result.add(AttributeDescriptor.forInteger("optimisticLockVersion", getClass()));

        return result;
    }
}
